org.apache.lucene.analysis.shingle

## Class ShingleMatrixFilter.Matrix.Column

- java.lang.Object
- - org.apache.lucene.analysis.shingle.ShingleMatrixFilter.Matrix.Column

- Enclosing class:
    ShingleMatrixFilter.Matrix

      public class ShingleMatrixFilter.Matrix.Column
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ShingleMatrixFilter.Matrix.Column.Row`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Column()`
    `Column(org.apache.lucene.analysis.Token token)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIndex()`
    `ShingleMatrixFilter.Matrix` | `getMatrix()`
    `java.util.List` | `getRows()`
    `boolean` | `isFirst()`
    `boolean` | `isLast()`
    `void` | `setFirst(boolean first)`
    `void` | `setLast(boolean last)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Column

          public Column(org.apache.lucene.analysis.Token token)

    - #### Column

          public Column()

  - ### Method Detail

    - #### getMatrix

          public ShingleMatrixFilter.Matrix getMatrix()

    - #### getRows

          public java.util.List getRows()

    - #### getIndex

          public int getIndex()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### isFirst

          public boolean isFirst()

    - #### setFirst

          public void setFirst(boolean first)

    - #### setLast

          public void setLast(boolean last)

    - #### isLast

          public boolean isLast()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.